DH_INSTALLCATALOGS(1)

NOM
dh_installcatalogs – Installer et inscrire les catalogues SGML

SYNOPSIS
dh_installcatalogs [options_de_debhelper] [-n]

DESCRIPTION
dh_installcatalogs est un programme de la suite debhelper chargé d'installer et d'inscrire les catalogues SGML conformément à la Charte XML/SGML de Debian.

Les catalogues seront inscrits dans le « supercatalogue » /etc/sgml/paquet.cat.

Ce programme ajoute automatiquement des lignes de code aux scripts de maintenance du paquet pour l'inscription et la radiation des catalogues et des supercatalogues (sauf si -n est indiqué). Ces lignes de codes sont insérées dans les scripts de maintenance et dans le fichier triggers par dh_installdeb. Voir dh_installdeb(1) pour obtenir des explications sur ces lignes de code ajoutées aux scripts de maintenance du paquet.

Une dépendance vers sgml-base est ajoutée à ${misc:Depends}. De ce fait il faut s'assurer que le paquet utilise cette variable dans debian/control.

FICHIERS

debian/paquet.sgmlcatalogs
    Énumère les catalogues à installer par paquet. Chaque ligne de ce fichier doit être sous la forme "source destination", où source indique l'emplacement du catalogue dans l'arborescence source et où destination indique son emplacement de destination au sein de l'arborescence de construction du paquet binaire. destination doit commencer par /usr/share/sgml/.

    Les variables de substitution sont prises en charge dans les niveaux de compatibilité 13 et ultérieurs comme documenté dans debhelper(7).

OPTIONS

-n, --no-scripts
    Ne modifie pas les scripts de maintenance postinst, postrm, prerm ni ajoute de déclencheur d'activation.

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

VOIR AUSSI
debhelper(7)

/usr/share/doc/sgml-base-doc/

AUTEUR
Adam Di Carlo <aph@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».